package com.chenyang.nse.bussiness.incencryption.service.impl;

import com.chenyang.nse.bussiness.incencryption.service.IncEncryptionTask;
import java.util.concurrent.ConcurrentHashMap;

public class IncEncryptionTaskHolder {
   private static ConcurrentHashMap<String, IncEncryptionTask> map = new ConcurrentHashMap();

   public static void put(IncEncryptionTask task) {
      map.put(task.getTaskTag(), task);
   }

   public static void remove(IncEncryptionTask task) {
      map.remove(task.getTaskTag());
   }

   public static boolean contains(IncEncryptionTask task) {
      return map.containsKey(task.getTaskTag());
   }
}
